Summary:IIIMF Input Method Software Developpers Kit
Name: iiimf
Epoch: 1
Version: trunk_r3104
Release: ng1
License: GPL
Source: %{name}-%{version}.tar.gz
Patch0: delaycommit.patch
Patch1: js_triggerkey.patch
Patch2: timeout.patch
Patch3: wait_iiimd.patch
Patch4: %{name}-%{version}-nicola.patch

##%define rcscript IIim

URL: http://www.openi18n.org/
Group: User Interface/X
Buildroot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: tcp_wrappers

%description
im-sdk is a Software Development kit for
IIIMF(Internet/Intranet Input Method Framework).
IIIMF is a platform neutral/device independent
multi-lingual input method framework.

##%package -n iiimf-csconv
##Summary:      Codeset Conversion modules for IIIMF components
##Group:        System/OPENI18N/IIIMF
##Autoreqprov:  on

##%description -n iiimf-csconv
##Provides Codeset Conversion modules for IIIMF components.

#noNICOLA %package -n iiimf-protocol-lib
#noNICOLA Summary:      Internet/Intranet Input Method Protocol library
#noNICOLA Group:        System/OPENI18N/IIIMF
#noNICOLA Autoreqprov:  off

#noNICOLA %description -n iiimf-protocol-lib
#noNICOLA Provides Internet/Intranet Input Method Protocol library.

#noNICOLA %package -n iiimf-protocol-lib-devel
#noNICOLA Summary:      Internet/Intranet Input Method Protocol library header files.
#noNICOLA Group:        System/OPENI18N/IIIMF
#noNICOLA Autoreqprov:  off

#noNICOLA %description -n iiimf-protocol-lib-devel
#noNICOLA Provides Internet/Intranet Input Method Protocol library header files.

#noNICOLA %package -n iiimf-client-lib
#noNICOLA Summary:      Internet/Intranet Input Method Client Framework library
#noNICOLA Group:        System/OPENI18N/IIIMF
#noNICOLA Autoreqprov:  off

#noNICOLA %description -n iiimf-client-lib
#noNICOLA Provides Internet/Intranet Input Method Client Framework library.

#noNICOLA %package -n iiimf-client-lib-devel
#noNICOLA Summary:      Internet/Intranet Input Method Client Framework library header files.
#noNICOLA Group:        System/OPENI18N/IIIMF
#noNICOLA Autoreqprov:  off

#noNICOLA %description -n iiimf-client-lib-devel
#noNICOLA Provides Internet/Intranet Input Method Client Framework library header files.

#noNICOLA %package -n iiimf-server
#noNICOLA Summary:      IIIMF input method server
#noNICOLA Group:        System/OPENI18N/IIIMF
#noNICOLA Autoreqprov:  off

#noNICOLA %description -n iiimf-server
#noNICOLA IIIMF server is a server module of Internet/Intranet Input Method Framework.

#%package -n iiimf-le-unit
#Summary:      Unit language engine for iiimf-server
#Group:        System/OPENI18N/IIIMF
#Autoreqprov:  on
#Requires:	iiimf-server >= 11_4-4

#%description -n iiimf-le-unit
#Provides Unit language engine for iiimf-server.

#%package -n iiimf-le-newpy
#Summary:      New Pinyin language engine for iiimf-server
#Group:        System/OPENI18N/IIIMF
#Autoreqprov:  on
#Requires:	iiimf-server >= 11_4-4

#%description -n iiimf-le-newpy
#Provides New Pinyin language engine for iiimf-server

#%package -n iiimf-le-hangul
#Summary:      Korean language engine for iiimf-server
#Group:        System/OPENI18N/IIIMF
#Autoreqprov:  on
#Requires:	iiimf-server >= 11_4-4

#%description -n iiimf-le-hangul
#Provides Korean language engine for iiimf-server

#%package -n iiimf-le-canna
#Summary:      Japanese Canna engine for iiimf-server
#Group:        System/OPENI18N/IIIMF
#Autoreqprov:  on
#Requires:	iiimf-server >= 11_4-4

#%description -n iiimf-le-canna
#Provides Japanese Canna engine for iiimf-server

#noNICOLA %package -n iiimf-x
#noNICOLA Summary:      IIIMF XIM BackEnd module
#noNICOLA Group:        System/OPENI18N/IIIMF
#noNICOLA Autoreqprov:  off

#noNICOLA %description -n iiimf-x
#noNICOLA IIIMF X Provides XIM bridge modules through which legacy XIM clients should
#noNICOLA be able to communicate to IIIMF server.

%package -n iiimf-gtk
Summary:      GTK Input Method Context Module for IIIMP
Group:        System/OPENI18N/IIIMF
Autoreqprov:  off
BuildRequires:	gtk2-devel >= 2.4
Requires:       gtk2 >= 2.4

%description -n iiimf-gtk
IIIMF binding for gtk

#noNICOLA %package -n iiimf-properties
#noNICOLA Summary:      IIIMF Input Method Preference Editor
#noNICOLA Group:        System/OPENI18N/IIIMF
#noNICOLA Autoreqprov:  off

#noNICOLA %description -n iiimf-properties
#noNICOLA iiim-properties enables you to specify various properties 
#noNICOLA regarding Input Method.

#noNICOLA %package -n iiimf-docs
#noNICOLA Summary:      IIIMF documentations
#noNICOLA Group:        System/OPENI18N/IIIMF
#noNICOLA Autoreqprov:  off

#noNICOLA %description -n iiimf-docs
#noNICOLA Provides IIIMF documentations

#noNICOLA %package -n iiimf-notuse
#noNICOLA Summary:      Not use
#noNICOLA Group:        System/OPENI18N/IIIMF
#noNICOLA Autoreqprov:  off

#noNICOLA %description -n iiimf-notuse
#noNICOLA Provides Not use

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -n trunk
%patch0 -p0
%patch1 -p0
%patch2 -p0
%patch3 -p0
%patch4 -p0

%build
##chmod +x `find . -name "*.sh" -o -name "configure" -o -name "mkinstalldirs"`
##chmod +x `find . -name "IIim" -a -type f`

cd lib/iiimp
#echo config lib/iiimp > /dev/tty
CFLAGS="$RPM_OPT_FLAGS"		\
sh autogen.sh --prefix=%{_prefix}									\
		--localstatedir=/var --bindir=/usr/bin --sysconfdir=/etc	\
		--libdir=%{_libdir} --x-libraries=/usr/X11R6/%{_lib}		\
		--enable-iiim-properties --disable-openssl
#echo make lib/iiimp > /dev/tty
make
cd ..

##cd CSConv
##echo config lib/CSConv > /dev/tty
##CFLAGS="$RPM_OPT_FLAGS"		\
##sh configure
##echo make lib/CSConv > /dev/tty
##make
##cd ..

cd EIMIL
#echo config lib/EIMIL > /dev/tty
sh autogen.sh --prefix=%{_prefix}									\
		--localstatedir=/var --bindir=/usr/bin --sysconfdir=/etc	\
		--libdir=%{_libdir} --x-libraries=/usr/X11R6/%{_lib}		\
		--enable-iiim-properties --disable-openssl
#echo make lib/EIMIL > /dev/tty
make
cd ..

cd iiimcf
#echo config lib/iiimcf > /dev/tty
CFLAGS="$RPM_OPT_FLAGS"		\
sh autogen.sh --prefix=%{_prefix}									\
		--localstatedir=/var --bindir=/usr/bin --sysconfdir=/etc	\
		--libdir=%{_libdir} --x-libraries=/usr/X11R6/%{_lib}		\
		--enable-iiim-properties --disable-openssl
#echo make lib/iiimcf > /dev/tty
make
cd ../..

#noNICOLA cd iiimsf
#noNICOLA #echo config iiimsf > /dev/tty
#noNICOLA CFLAGS="$RPM_OPT_FLAGS"		 \
#noNICOLA sh autogen.sh --prefix=%{_prefix}									\
#noNICOLA 		--localstatedir=/var --bindir=/usr/bin --sysconfdir=/etc	\
#noNICOLA 		--libdir=%{_libdir} --x-libraries=/usr/X11R6/%{_lib}		\
#noNICOLA 		--enable-iiim-properties --disable-openssl
#echo make iiimsf > /dev/tty
#noNICOLA make
#noNICOLA cd ..

#cd leif
#CFLAGS="$RPM_OPT_FLAGS"		\
#sh autogen.sh --prefix=%{_prefix}
#make
#cd ..

#noNICOLA cd iiimxcf/xiiimp.so
#echo config iiimxcf/xiiimp.so > /dev/tty
#noNICOLA CFLAGS="$RPM_OPT_FLAGS"		\
#noNICOLA sh autogen.sh --prefix=%{_prefix}									\
#noNICOLA 		--localstatedir=/var --bindir=/usr/bin --sysconfdir=/etc	\
#noNICOLA 		--libdir=%{_libdir} --x-libraries=/usr/X11R6/%{_lib}		\
#noNICOLA 		--enable-iiim-properties --disable-openssl
#echo make iiimxcf/xiiimp.so > /dev/tty
#noNICOLA make
#noNICOLA cd ../..

#noNICOLA cd iiimxcf/htt_xbe
#noNICOLA #echo config iiimxcf/htt_xbe > /dev/tty
#noNICOLA CFLAGS="$RPM_OPT_FLAGS"		\
#noNICOLA sh autogen.sh --prefix=%{_prefix}									\
#noNICOLA 		--localstatedir=/var --bindir=/usr/bin --sysconfdir=/etc	\
#noNICOLA 		--libdir=%{_libdir} --x-libraries=/usr/X11R6/%{_lib}		\
#noNICOLA 		--enable-iiim-properties --disable-openssl
#noNICOLA #echo make iiimxcf/htt_xbe > /dev/tty
#noNICOLA make
#noNICOLA cd ../..

cd iiimgcf
#echo config iiimgcf > /dev/tty
CFLAGS="$RPM_OPT_FLAGS"		\
sh autogen.sh --prefix=%{_prefix}									\
		--localstatedir=/var --bindir=/usr/bin --sysconfdir=/etc	\
		--libdir=%{_libdir} --x-libraries=/usr/X11R6/%{_lib}		\
		--enable-iiim-properties --disable-openssl
#echo make iiimgcf > /dev/tty
make GTK2_BINARY_VERSION=
cd ..

#noNICOLA cd program/iiim-properties
#noNICOLA #echo config program/iiim-properties > /dev/tty
#noNICOLA CFLAGS="$RPM_OPT_FLAGS"		\
#noNICOLA sh autogen.sh --prefix=%{_prefix}									\
#noNICOLA		--localstatedir=/var --bindir=/usr/bin --sysconfdir=/etc	\
#noNICOLA		--libdir=%{_libdir} --x-libraries=/usr/X11R6/%{_lib}		\
#noNICOLA		--enable-iiim-properties --disable-openssl
#noNICOLA #echo make program/iiim-properties > /dev/tty
#noNICOLA make
#noNICOLA cd ../..

#cd gnome-im-switcher
#CFLAGS="$RPM_OPT_FLAGS"		\
#sh autogen.sh --prefix=%{_prefix}\
#	    --sysconfdir=%{_sysconfdir} --libdir=%{_prefix}/%{_lib}
#make
#cd ..

#noNICOLA cd doc
#noNICOLA #echo config doc > /dev/tty
#noNICOLA CFLAGS="$RPM_OPT_FLAGS"		\
#noNICOLA sh autogen.sh --prefix=%{_prefix}									\
#noNICOLA 		--localstatedir=/var --bindir=/usr/bin --sysconfdir=/etc	\
#noNICOLA 		--libdir=%{_libdir} --x-libraries=/usr/X11R6/%{_lib}		\
#noNICOLA 		--enable-iiim-properties --disable-openssl
#noNICOLA #echo make doc > /dev/tty
#noNICOLA make
#noNICOLA cd ..

##cd lib/CSConv
##echo install lib/CSConv > /dev/tty
##make DESTDIR=$RPM_BUILD_ROOT install
##cd ../..

#noNICOLA cd lib/EIMIL
#noNICOLA #echo install lib/EIMIL > /dev/tty
#noNICOLA make DESTDIR=$RPM_BUILD_ROOT install
#noNICOLA cd ../..

#noNICOLA cd lib/iiimp
#noNICOLA #echo install lib/iiimp > /dev/tty
#noNICOLA make DESTDIR=$RPM_BUILD_ROOT install
#noNICOLA cd ../..

cd lib/iiimcf
#echo install lib/iiimcf > /dev/tty
make DESTDIR=$RPM_BUILD_ROOT install
cd ../..

#noNICOLA cd iiimsf
#noNICOLA #echo install iiimsf > /dev/tty
#noNICOLA make DESTDIR=$RPM_BUILD_ROOT install
#noNICOLA cd ..

#cd leif
#make DESTDIR=$RPM_BUILD_ROOT install
#cd ..

#noNICOLA cd iiimxcf/xiiimp.so
#noNICOLA #echo install iiimxf/xiiimp.so > /dev/tty
#noNICOLA make DESTDIR=$RPM_BUILD_ROOT install
#noNICOLA cd ../..

#noNICOLA cd iiimxcf/htt_xbe
#noNICOLA #echo install iiimxf/htt_xbe > /dev/tty
#noNICOLA make DESTDIR=$RPM_BUILD_ROOT install
#noNICOLA cd ../..

cd iiimgcf
#echo install iiimgcf > /dev/tty
make DESTDIR=$RPM_BUILD_ROOT GTK2_BINARY_VERSION= install
cd ..

#noNICOLA cd program/iiim-properties
#noNICOLA #echo install program/iiim-properties > /dev/tty
#noNICOLA make DESTDIR=$RPM_BUILD_ROOT install
#noNICOLA mv $RPM_BUILD_ROOT/%{_bindir}/iiimx-settings-init				\
#noNICOLA		$RPM_BUILD_ROOT/%{_libdir}/iiim/
#noNICOLA cd ../..

#cd gnome-im-switcher
#export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
#make DESTDIR=$RPM_BUILD_ROOT install
#unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL
#cd ..

#noNICOLA cd doc
#noNICOLA #echo install doc > /dev/tty
#noNICOLA make DESTDIR=$RPM_BUILD_ROOT install
#noNICOLA cd ..

find $RPM_BUILD_ROOT -exec touch -t %filedate '{}' ';'

%clean
rm -rf ${RPM_BUILD_ROOT}

#%files
#%defattr(-,root,root)
#%{prefix}/*
#%{_libdir}/gtk-2.0/*
#Disabled for 20030507-1
#/usr/X11R6/lib/X11/locale/common/*

##%files -n iiimf-csconv
##%defattr (-, root, root)
##%{_prefix}/lib/im/csconv/*
#%{_prefix}/lib/im/csconv/compoundtext/*
##%{_prefix}/lib/im/icuconv/*.so
##%{_prefix}/lib/im/share/icu/1.4.0/*

#noNICOLA %files -n iiimf-protocol-lib
#noNICOLA %defattr (-, root, root)
#noNICOLA %{_libdir}/libiiimp*.so.*
#noNICOLA %{_libdir}/libiiimp*.so
#noNICOLA #%{_libdir}/iiim/lib/libEIMIL*
#noNICOLA 
#noNICOLA %files -n iiimf-protocol-lib-devel
#noNICOLA %defattr (-, root, root)
#noNICOLA %{_libdir}/libiiimp*a
#noNICOLA %{_libdir}/pkgconfig/iiimf-lib-protocol.pc
#noNICOLA %{_includedir}/iiim/iiimp.h
#noNICOLA %{_includedir}/iiim/iiimp-character-subsets.h
#noNICOLA %{_includedir}/iiim/iiimp-data.h
#noNICOLA %{_includedir}/iiim/iiimp-keycode.h
#noNICOLA %{_includedir}/iiim/iiimp-opcode.h
#noNICOLA #%{_libdir}/iiim/include/EIMIL.h
#noNICOLA 
#noNICOLA %files -n iiimf-client-lib
#noNICOLA %defattr (-, root, root)
#noNICOLA %{_libdir}/libiiimcf*.so.*
#noNICOLA 
#noNICOLA %files -n iiimf-client-lib-devel
#noNICOLA %defattr (-, root, root)
#noNICOLA %{_libdir}/libiiimcf*.so
#noNICOLA %{_libdir}/libiiimcf*a
#noNICOLA %{_libdir}/pkgconfig/iiimf-lib-client.pc
#noNICOLA %{_includedir}/iiim/iiimcf.h
#noNICOLA 
#noNICOLA %files -n iiimf-server
#noNICOLA %defattr (-, root, root)
#noNICOLA #%{_initrddir}/iiimd
#noNICOLA %{_sysconfdir}/iiim/iiimd.xml.conf
#noNICOLA %{_sysconfdir}/iiim/js_triggerkeys.conf
#noNICOLA %{_bindir}/iiimd
#noNICOLA %{_bindir}/iiimf-le-tools
#noNICOLA %{_libdir}/libiiimutils*.so.*
#noNICOLA %{_libdir}/libiiimutils*.so
#noNICOLA %{_libdir}/libiiimutils*a
#noNICOLA %{_libdir}/iiim/iiimd-watchdog
#noNICOLA %{_libexecdir}/iiimf-segv-logger
#noNICOLA %{_includedir}/iiim/lexmlconf.h
#noNICOLA %{_var}/log/iiim
#noNICOLA %{_var}/run/iiim
#noNICOLA %{_datadir}/iiim/gdbcmd
#noNICOLA 
#noNICOLA #%files -n iiimf-le-unit
#noNICOLA #%defattr (-, root, root)
#noNICOLA #%{_libdir}/iiim/le/unitle/*
#noNICOLA 
#noNICOLA #%files -n iiimf-le-newpy
#noNICOLA #%defattr (-, root, root)
#noNICOLA #%{_libdir}/iiim/le/newpy/*
#noNICOLA 
#noNICOLA #%files -n iiimf-le-hangul
#noNICOLA #%defattr (-, root, root)
#noNICOLA #%{_libdir}/iiim/le/hangul/hangul.*
#noNICOLA 
#noNICOLA #%files -n iiimf-le-canna
#noNICOLA #%defattr (-, root, root)
#noNICOLA #%{_libdir}/iiim/le/Canna/Canna*
#noNICOLA 
#noNICOLA %files -n iiimf-x
#noNICOLA %defattr (-, root, root)
#noNICOLA #%{_sysconfdir}/iiim/xsession
#noNICOLA %{_bindir}/iiimx
#noNICOLA %{_libdir}/iiim/iiim-xbe
#noNICOLA %{_libdir}/iiim/xiiimp*

%files -n iiimf-gtk
%defattr (-, root, root)
%{_libdir}/gtk-2.0/immodules/*
%{_datadir}/locale/*/LC_MESSAGES/iiimgcf.mo

#noNICOLA %files -n iiimf-properties
#noNICOLA %defattr (-, root, root)
#noNICOLA %{_sysconfdir}/iiim/client.xml
#noNICOLA %{_bindir}/iiim-properties
#noNICOLA %{_libdir}/iiim/iiimx-settings-init
#noNICOLA %{_datadir}/control-center-2.0/capplets/iiim-properties.desktop
#noNICOLA %{_datadir}/gnome/help/iiim-properties
#noNICOLA %{_datadir}/locale/*/LC_MESSAGES/iiim-properties.mo
#noNICOLA %{_datadir}/omf/iiim-properties
#noNICOLA 
#noNICOLA %files -n iiimf-docs
#noNICOLA %defattr(-, root, root)
#noNICOLA %{_datadir}/doc/IIIM
#noNICOLA 
#noNICOLA %files -n iiimf-notuse
#noNICOLA %defattr (-, root, root)
#noNICOLA %{_bindir}/arithtest
#noNICOLA %{_bindir}/flowtest
#noNICOLA %{_bindir}/parsertest

%changelog
* Fri Mar 15 2004 ILGYOUNG PARK <Karl.Park@Sun.COM>
- Fix up rpm build errors
* Fri Jan 9 2004 ILGYOUNG PARK <Karl.Park@Sun.COM> r11_4-4
- Initial version based on Yu Shao's spec file
